AWS IoT Device SDK C++ v2: Aws::Iotjobs::UpdateJobExecutionRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::UpdateJobExecutionRequest Class Referencefinal

`#include <UpdateJobExecutionRequest.h>`

## Public Member Functions
| UpdateJobExecutionRequest ()=default
| UpdateJobExecutionRequest (const Crt::JsonView &doc)
UpdateJobExecutionRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< int64_t > | ExecutionNumber
Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > > | StatusDetails
Aws::Crt::Optional< bool > | IncludeJobExecutionState
Aws::Crt::Optional< Aws::Crt::String > | JobId
Aws::Crt::Optional< int32_t > | ExpectedVersion
Aws::Crt::Optional< bool > | IncludeJobDocument
Aws::Crt::Optional< Aws::Iotjobs::JobStatus > | Status
Aws::Crt::Optional< int64_t > | StepTimeoutInMinutes
Aws::Crt::Optional< Aws::Crt::String > | ClientToken

## Detailed Description

Data needed to make an UpdateJobExecution request.

## Constructor & Destructor Documentation

## ◆ UpdateJobExecutionRequest() [1/2]

Aws::Iotjobs::UpdateJobExecutionRequest::UpdateJobExecutionRequest | ( |  | ) |
| default

## ◆ UpdateJobExecutionRequest() [2/2]

Aws::Iotjobs::UpdateJobExecutionRequest::UpdateJobExecutionRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

UpdateJobExecutionRequest & Aws::Iotjobs::UpdateJobExecutionRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::UpdateJobExecutionRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::UpdateJobExecutionRequest::ClientToken

A client token used to correlate requests and responses. Enter an arbitrary value here and it is reflected in the response.

## ◆ ExecutionNumber

Aws::Crt::Optional<int64_t> Aws::Iotjobs::UpdateJobExecutionRequest::ExecutionNumber

Optional. A number that identifies a job execution on a device. If not specified, the latest job execution is used.

## ◆ ExpectedVersion

Aws::Crt::Optional<int32_t> Aws::Iotjobs::UpdateJobExecutionRequest::ExpectedVersion

The expected current version of the job execution. Each time you update the job execution, its version is incremented. If the version of the job execution stored in the AWS IoT Jobs service does not match, the update is rejected with a VersionMismatch error, and an ErrorResponse that contains the current job execution status data is returned.

## ◆ IncludeJobDocument

Aws::Crt::Optional<bool> Aws::Iotjobs::UpdateJobExecutionRequest::IncludeJobDocument

Optional. When included and set to true, the response contains the JobDocument. The default is false.

## ◆ IncludeJobExecutionState

Aws::Crt::Optional<bool> Aws::Iotjobs::UpdateJobExecutionRequest::IncludeJobExecutionState

Optional. When included and set to true, the response contains the JobExecutionState field. The default is false.

## ◆ JobId

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::UpdateJobExecutionRequest::JobId

The unique identifier assigned to this job when it was created.

## ◆ Status

Aws::Crt::Optional<Aws::Iotjobs::JobStatus> Aws::Iotjobs::UpdateJobExecutionRequest::Status

The new status for the job execution (IN_PROGRESS, FAILED, SUCCEEDED, or REJECTED). This must be specified on every update.

## ◆ StatusDetails

Aws::Crt::Optional<Aws::Crt::Map<Aws::Crt::String, Aws::Crt::String> > Aws::Iotjobs::UpdateJobExecutionRequest::StatusDetails

A collection of name-value pairs that describe the status of the job execution. If not specified, the statusDetails are unchanged.

## ◆ StepTimeoutInMinutes

Aws::Crt::Optional<int64_t> Aws::Iotjobs::UpdateJobExecutionRequest::StepTimeoutInMinutes

Specifies the amount of time this device has to finish execution of this job. If the job execution status is not set to a terminal state before this timer expires, or before the timer is reset (by again calling UpdateJobExecution, setting the status to IN_PROGRESS and specifying a new timeout value in this field) the job execution status is set to TIMED_OUT. Setting or resetting this timeout has no effect on the job execution timeout that might have been specified when the job was created (by using CreateJob with the timeoutConfig).

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::UpdateJobExecutionRequest::ThingName

The name of the thing associated with the device.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/UpdateJobExecutionRequest.h
- jobs/source/UpdateJobExecutionRequest.cpp